Bug 4 - You can mount a filesystem multiple times "on top" of itself
Summary: You can mount a filesystem multiple times "on top" of itself
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Core Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1994-09-22 20:20 UTC by Jordan K. Hubbard
Modified: 2006-09-12 16:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jordan K. Hubbard 1994-09-22 20:20:01 UTC
If you mount an NFS or "special" filesystem (/proc, /fdesc, etc) twice
on the same mount-point, you will see two entries in the mounttab rather
than getting an error, as you do for UFS.

Fix: 

For now, don't do mount -a multiple times.. :)
	Underlying problem is only masked, however.
How-To-Repeat: 
mount -a
mount -a

Will do a pretty good job! :-)
Comment 1 jkh freebsd_committer 1995-04-08 12:55:08 UTC
State Changed
From-To: open->closed

Garrett has convinced me that this is a feature.. :-) 

Comment 2 conrad 2000-11-01 14:01:41 UTC
>Submitter-Id:	net
>Originator:	Jan Conrad
>Organization:	Univ. Bonn
>Confidential:	no
>Synopsis:	alpha/4.1.1-RELEASE distribution is a 5-CURRENT snapshot (partly)
>Severity:	serious
>Priority:	medium
>Category:	alpha
>Class:		sw-bug
>Release:	alpha/4.1.1-R
>Environment:	FreeBSD mach.th.physik.uni-bonn.de 4.1.1-RELEASE FreeBSD 4.1.1-RELEASE #0: Sat Oct 28 18:06:33 CEST 2000     admin@mach.th.physik.uni-bonn.de:/usr/src/sys/compile/MACH  alpha

>Description:
The 4.1.1-R distribution (on ftp.freebsd.org and its mirrors) is
not 4.1.1-R but 5-CURRENT (or a mixture of both!!! it calls itself
4.1.1-R - see the output of uname -a)

Check the following:
--------------------
ftp://ftp.FreeBSD.org/pub/FreeBSD/releases/alpha/4.1.1-RELEASE/README.TXT

/usr/sbin/config is 5-CURRENT (see the repeat section)

the src distribution is 5-CURRENT (including the kernel sources)
/usr/src/Makefile :
# $FreeBSD: src/Makefile,v 1.236 2000/09/19 11:15:40 markm Exp $
/usr/src/sys/alpha/conf/GENERIC :
# $FreeBSD: src/sys/alpha/conf/GENERIC,v 1.97 2000/09/20 17:30:20 wpaul Exp $

>How-To-Repeat:
Just install it! (including sources)

If one tries to run config on real 411-R sources (mounted from somewhere
else) one gets the following error (among other messages)

config GENERIC
..
WARNING: version of config(8) does not match kernel!
config version = 500003, version required = 400018
..


>Fix: